Request

Endpoint: !AutoAuthorize

https://secure.trust-provider.com/products/!AutoAuthorize

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

The following table lists the required and optional parameters.

Parameter Requirement Type Max.Length Description

loginName

required

string

64 chars

The account username.

This value is case sensitive.

loginPassword

required

string

128 chars

The account password.

This value is case sensitive.

orderNumber

required

integer

The order number of the order to be authorized.

test

optional

char

1 char

Indicates whether the authorization is a test operation.

The possible values are:

  • Y — The certificate will not actually be authorized.

  • N — The certificate will be authorized.

If omitted, the value defaults to N.

disableSWP

optional

char

1 char

Indicates whether the Sectigo Web Platform (SWP) feature is disabled for the authorization.

The possible values are:

  • Y — Free web products will not be added to this SSL certificate order.

  • N — Free web products will be added to SSL certificate when applicable.

If omitted, the value defaults to N.

Sample request

curl --location --globoff 'https://secure.trust-provider.com/products/!AutoAuthorize' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=login_name' \
--data-urlencode 'loginPassword=login_password' \
--data-urlencode 'orderNumber=order_number'

Response

The request is successful when the server returns a response with the status code 0.

Any errorCode less than 0 indicates an error condition.

The list of codes and their descriptions can be found in Error codes.

The response format is restricted to the line-delimited parameters.

Response parameters

The response may contain the following parameters:

Parameter Description

errorCode

A numeric code that identifies the type of the error. For more information, see Error codes.

errorMessage

The error message.

slUserID

The SiteLock user ID.

This parameter is only present if a SiteLock licence is the only product ordered.

slSiteID

The SiteLock site ID (string).

This parameter is only present if a SiteLock licence is the only product ordered.

Sample success response

0
11111111
22222222

Sample error response

-27
Order 11111111 is not currently Awaiting Authorization/Rejection!

Error codes

The following table outlines error responses returned by the AutoAuthorize API endpoint. Each error response consists of an errorCode and an errorMessage indicating why the request failed.

Error Code Error Message Description

-1

Request was not made over https!

The request must use HTTPS protocol.

-2

Unrecognised argument!

The provided argument is not recognized.

-3

The 'xxxx' argument is missing!

The required argument is missing from the request.

-4

The value of the 'xxxx' argument is invalid!

The argument value does not meet validation requirements.

-14

An unknown error occurred!

An unknown error occurred.

-15

Not enough credit!

The user does not have enough credit to perform the requested action.

-16

Incorrect login details, account is locked, password has expired or your source IP is blocked.

Authentication has failed due to one of the specified reasons.

Verify your login credentials or check account restrictions.

-17

Request used GET rather than POST!

The request method should be POST.

-27

Order 'xxxx' is not currently Awaiting Authorization/Rejection!

The order is not in a state that allows it to be authorized or rejected.

-114

Error while getting duration! or PPP not found! (additional details may also be provided – product ID, duration, etc.)

The request has failed due to an issue with the duration or product ID.

-115

No price found for the product! (additional details may also be provided – product ID or name, pricing band ID, etc.)

The request has failed due to a missing price for the specified product.

-122

a generic error that shows the SiteLock synchronous sync errors

The request has failed due to a generic error with the SiteLock synchronous sync.